Programas para ejecutar el SDK 0.8 en el CV1

2 MAY 2016  8:50

Juanlo

12

Programas para ejecutar el SDK 0.8 en el CV1

La comunidad no descansa y ya hemos encontrado diversos parches que permiten ejecutar programas diseñados para el SDK 0.8 de Oculus teniendo instalado el 1.3, y funcionando tanto con el DK2 como con el CV1.

Por el momento han aparecido dos alternativas en reddit. La primera de ellas consiste en unas DLLs que se copian en las carpetas Windows\System32 y Windows\SysWow64, y que capturan las llamadas al SDK 0.7 y 0.8 y las traducen al 1.3. Funciona principalmente con alguna demo técnica de Oculus, aunque en nuestro caso no hemos logrado ejecutar casi nada. No obstante, su autor sigue trabajando en mejorarla y ya planea dar soporte hacia atrás hasta el SDK 0.5. El rendimiento se ve ligeramente penalizado, pero aun así de momento es la única opción de seguir utilizando ciertas aplicaciones teniendo instalado el SDK 1.3, a la espera de que los creadores las vayan actualizando, los que todavía planeen hacerlo.

 

Affected

 

La segunda alternativa funciona bastante bien por lo que hemos podido probar. Consiste en descargar el plugin de Oculus para Unity, la versión 5.3, y al descomprimirlo copiar el fichero OVRPlugin.DLL a la carpeta Plugins del juego o demo correspondiente (lógicamente solo funciona en aplicaciones de Unity), donde habrá una DLL con el mismo nombre. Gracias a esta DLL hemos logrado ejecutar Affected, Cyberspace, Don't let go y Castle Black de Juego de Tronos perfectamente en nuestro CV1.